> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tabs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server.

# Get contract obligation by ID

GET https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/obligations/{obligationId}

Reference: https://docs.tabs.com/api-reference/contracts/getObligation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Tabs External API
  version: 1.0.0
paths:
  /v3/contracts/{id}/obligations/{obligationId}:
    get:
      operationId: integrators-api-contractsv-3-controller-get-obligation
      summary: Get contract obligation by ID
      tags:
        - contracts
      parameters:
        - name: id
          in: path
          description: Contract Id
          required: true
          schema:
            type: string
        - name: obligationId
          in: path
          description: Obligation Id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The obligation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Contracts_IntegratorsApiContractsv3Controller_getObligation_Response_200
        '404':
          description: Obligation not found
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://integrators.prod.api.tabsplatform.com
    description: https://integrators.prod.api.tabsplatform.com
components:
  schemas:
    V3ContractsIdObligationsObligationIdGetResponsesContentApplicationJsonSchemaPayload:
      type: object
      properties: {}
      description: Response payload, will be empty when success is false
      title: >-
        V3ContractsIdObligationsObligationIdGetResponsesContentApplicationJsonSchemaPayload
    IntegratorsApiErrorDetails:
      type: object
      properties: {}
      description: Additional details about the error
      title: IntegratorsApiErrorDetails
    IntegratorsApiError:
      type: object
      properties:
        code:
          type: number
          format: double
          description: API response code
        message:
          type: string
          description: API response message
        details:
          $ref: '#/components/schemas/IntegratorsApiErrorDetails'
          description: Additional details about the error
      required:
        - code
        - message
      title: IntegratorsApiError
    Contracts_IntegratorsApiContractsv3Controller_getObligation_Response_200:
      type: object
      properties:
        payload:
          $ref: >-
            #/components/schemas/V3ContractsIdObligationsObligationIdGetResponsesContentApplicationJsonSchemaPayload
          description: Response payload, will be empty when success is false
        success:
          type: boolean
          description: Boolean with true=success, false=failure
        message:
          type: string
          description: Plain-text description of the result
        error:
          $ref: '#/components/schemas/IntegratorsApiError'
          description: json element with any error messages or warnings
      required:
        - payload
        - success
        - message
        - error
      title: Contracts_IntegratorsApiContractsv3Controller_getObligation_Response_200
  securitySchemes:
    custom-header:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Response**

```json
{
  "payload": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "contractId": "123e4567-e89b-12d3-a456-426614174000",
    "serviceStartDate": "2024-01-01",
    "serviceEndDate": "2024-01-01",
    "categoryId": "123e4567-e89b-12d3-a456-426614174000",
    "billingSchedule": {
      "name": "Line Item Name",
      "description": "Line Item Description",
      "startDate": "2024-01-01",
      "endDate": "2024-01-01",
      "duration": 1,
      "isArrears": false,
      "invoiceDateStrategy": "FIRST_OF_PERIOD",
      "isRecurring": true,
      "includeInArr": true,
      "interval": "MONTH",
      "intervalFrequency": 1,
      "netPaymentTerms": 1,
      "quantity": 1,
      "billingType": "UNIT",
      "pricingType": "SIMPLE",
      "eventTypeId": "123e4567-e89b-12d3-a456-426614174000",
      "eventTypeName": "API Calls",
      "itemId": "123e4567-e89b-12d3-a456-426614174000",
      "productId": "123e4567-e89b-12d3-a456-426614174000",
      "invoiceType": "INVOICE",
      "pricing": [
        {
          "tier": 1,
          "amount": 100,
          "amountType": "PER_ITEM",
          "tierMinimum": 0
        }
      ],
      "classId": "123e4567-e89b-12d3-a456-426614174000",
      "departmentId": "123e4567-e89b-12d3-a456-426614174000",
      "projectId": "123e4567-e89b-12d3-a456-426614174000"
    },
    "revenueSchedule": {
      "categoryId": "123e4567-e89b-12d3-a456-426614174000",
      "recognizedRevenue": [
        {
          "timeframe": "2024-01",
          "total": 1000,
          "booksClosed": false
        }
      ]
    },
    "discount": {
      "type": "FIXED",
      "amount": "5.00"
    },
    "seatConfig": {
      "isMovingMinimum": false,
      "minQuantity": 0,
      "defaultProrationPolicy": "NONE",
      "defaultTrueUpTiming": "IMMEDIATE"
    }
  },
  "success": true,
  "message": "string",
  "error": {
    "code": 1.1,
    "message": "string",
    "details": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/obligations/123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```